import { html, css, Component } from 'wkit'
import { watch } from 'wkitd'

class Detail extends Component {
  static props = { result: '', decrypt: '' }
  static styles = [
    css`
      :host {
        display: flex;
        position: fixed;
        left: calc(50vw - 360px);
        top: calc(50vh - 280px);
        z-index: 2;
        width: 720px;
        height: 560px;
        font-size: 14px;
        color: var(--color-dark-1);
        -webkit-user-select: none;
        user-select: none;
      }

      .container {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        padding: 32px;
        border-radius: 8px;
        background: rgba(255, 255, 255, 0.93);
        box-shadow: 0 0 12px rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(6px);
      }
    `
  ]

  async mounted() {}

  render() {
    return html` <div class="container"></div> `
  }
}

Detail.reg('detail')
